# korbyte-api-client
Stock API for Korbyte

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 0.0.3
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import korbyte_api_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import korbyte_api_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import korbyte_api_client
from korbyte_api_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost:4200
# See configuration.py for a list of all supported configuration parameters.
configuration = korbyte_api_client.Configuration(
    host = "http://localhost:4200"
)



# Enter a context with an instance of the API client
with korbyte_api_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = korbyte_api_client.DailyApi(api_client)
    id = 56 # int | 

    try:
        api_instance.delete4(id)
    except ApiException as e:
        print("Exception when calling DailyApi->delete4: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:4200*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DailyApi* | [**delete4**](docs/DailyApi.md#delete4) | **DELETE** /daily/{id} | 
*DailyApi* | [**get_all1**](docs/DailyApi.md#get_all1) | **GET** /daily | Get the Shit from the Balls
*DailyApi* | [**load3**](docs/DailyApi.md#load3) | **PUT** /daily/load | Sync all daily data for a stock
*DailyApi* | [**save4**](docs/DailyApi.md#save4) | **PATCH** /daily | 
*DetailsApi* | [**delete3**](docs/DetailsApi.md#delete3) | **DELETE** /details/{id} | 
*DetailsApi* | [**load2**](docs/DetailsApi.md#load2) | **PUT** /details/load | 
*DetailsApi* | [**save3**](docs/DetailsApi.md#save3) | **PATCH** /details | 
*ExchangesApi* | [**delete2**](docs/ExchangesApi.md#delete2) | **DELETE** /exchanges/{id} | 
*ExchangesApi* | [**load1**](docs/ExchangesApi.md#load1) | **PUT** /exchanges/load | 
*ExchangesApi* | [**save2**](docs/ExchangesApi.md#save2) | **PATCH** /exchanges | 
*PrepareApi* | [**mapper**](docs/PrepareApi.md#mapper) | **POST** /prepare/mapper | 
*PrepareApi* | [**prepare**](docs/PrepareApi.md#prepare) | **POST** /prepare | 
*PrepareApi* | [**transform**](docs/PrepareApi.md#transform) | **POST** /prepare/vectorization | 
*TickersApi* | [**delete1**](docs/TickersApi.md#delete1) | **DELETE** /tickers/{id} | 
*TickersApi* | [**get_all**](docs/TickersApi.md#get_all) | **GET** /tickers | 
*TickersApi* | [**load**](docs/TickersApi.md#load) | **PUT** /tickers/load | 
*TickersApi* | [**save1**](docs/TickersApi.md#save1) | **PATCH** /tickers | 
*TrackingApi* | [**delete**](docs/TrackingApi.md#delete) | **DELETE** /tracking/{id} | 
*TrackingApi* | [**save**](docs/TrackingApi.md#save) | **PATCH** /tracking | 
*TrackingApi* | [**update_by_symbol**](docs/TrackingApi.md#update_by_symbol) | **PATCH** /tracking/by-symbol | 


## Documentation For Models

 - [ApiResponseEmpty](docs/ApiResponseEmpty.md)
 - [ApiResponseListDateEntry](docs/ApiResponseListDateEntry.md)
 - [ApiResponseMatrix](docs/ApiResponseMatrix.md)
 - [ApiResponseObject](docs/ApiResponseObject.md)
 - [ApiResponsePageDaily](docs/ApiResponsePageDaily.md)
 - [ApiResponsePageTicker](docs/ApiResponsePageTicker.md)
 - [ApiResponseTracking](docs/ApiResponseTracking.md)
 - [Daily](docs/Daily.md)
 - [DateEntry](docs/DateEntry.md)
 - [Details](docs/Details.md)
 - [Exchange](docs/Exchange.md)
 - [Matrix](docs/Matrix.md)
 - [PageDaily](docs/PageDaily.md)
 - [PageTicker](docs/PageTicker.md)
 - [PageableObject](docs/PageableObject.md)
 - [PrepareMapParams](docs/PrepareMapParams.md)
 - [PrepareParams](docs/PrepareParams.md)
 - [SortObject](docs/SortObject.md)
 - [Ticker](docs/Ticker.md)
 - [Tracking](docs/Tracking.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




